Player

com.j0h1.contour.admin.shared.domain

## Class Player

- java.lang.Object
- - com.j0h1.contour.admin.shared.domain.Player

- All Implemented Interfaces:
    java.io.Serializable

      public class Player
      extends java.lang.Object
      implements java.io.Serializable

  Player object representation that encapsulates data to define a player.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `phoneId`
    `private int` | `playerId`
    `private java.lang.String` | `playername`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Player()`
    `Player(int playerId, java.lang.String playername)`
    `Player(int playerId, java.lang.String playername, java.lang.String phoneId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPhoneId()`
    `int` | `getPlayerId()`
    `java.lang.String` | `getPlayername()`
    `void` | `setPhoneId(java.lang.String phoneId)`
    `void` | `setPlayerId(int playerId)`
    `void` | `setPlayername(java.lang.String playername)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### playerId

          private int playerId

    - #### playername

          private java.lang.String playername

    - #### phoneId

          private java.lang.String phoneId

  - ### Constructor Detail

    - #### Player

          public Player()

    - #### Player

          public Player(int playerId,
                        java.lang.String playername)

    - #### Player

          public Player(int playerId,
                        java.lang.String playername,
                        java.lang.String phoneId)

  - ### Method Detail

    - #### getPlayerId

          public int getPlayerId()

    - #### setPlayerId

          public void setPlayerId(int playerId)

    - #### getPlayername

          public java.lang.String getPlayername()

    - #### setPlayername

          public void setPlayername(java.lang.String playername)

    - #### getPhoneId

          public java.lang.String getPhoneId()

    - #### setPhoneId

          public void setPhoneId(java.lang.String phoneId)